Create HRIS person
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/createHrisPerson \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"givenName": "<string>",
"familyName": "<string>",
"email": "[email protected]",
"country": "<string>",
"title": "<string>",
"agreementType": "<string>",
"citizenship": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"department": "<string>",
"employmentServiceType": "<string>",
"jobDescription": "<string>",
"baseSalary": 123,
"baseSalaryCurrency": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"visaSupportNeeded": true,
"tokenGrantRequested": true,
"signOnBonusAmount": 123,
"signOnBonusCurrency": "<string>",
"contractorType": "<string>",
"rateType": "<string>",
"rateAmount": 123,
"rateCurrency": "<string>"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/createHrisPerson"
payload = {
"givenName": "<string>",
"familyName": "<string>",
"email": "[email protected]",
"country": "<string>",
"title": "<string>",
"agreementType": "<string>",
"citizenship": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"department": "<string>",
"employmentServiceType": "<string>",
"jobDescription": "<string>",
"baseSalary": 123,
"baseSalaryCurrency": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"visaSupportNeeded": True,
"tokenGrantRequested": True,
"signOnBonusAmount": 123,
"signOnBonusCurrency": "<string>",
"contractorType": "<string>",
"rateType": "<string>",
"rateAmount": 123,
"rateCurrency": "<string>"
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
givenName: '<string>',
familyName: '<string>',
email: '[email protected]',
country: '<string>',
title: '<string>',
agreementType: '<string>',
citizenship: '<string>',
startDate: '2023-11-07T05:31:56Z',
department: '<string>',
employmentServiceType: '<string>',
jobDescription: '<string>',
baseSalary: 123,
baseSalaryCurrency: '<string>',
endDate: '2023-11-07T05:31:56Z',
visaSupportNeeded: true,
tokenGrantRequested: true,
signOnBonusAmount: 123,
signOnBonusCurrency: '<string>',
contractorType: '<string>',
rateType: '<string>',
rateAmount: 123,
rateCurrency: '<string>'
})
};
fetch('https://app.toku.com/api/tokuApi/v1/createHrisPerson', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"roleInOrgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"fullName": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Create HRIS Person
Creates an employee or contractor record using the requested employment type payload.
POST
/
createHrisPerson
Create HRIS person
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
Employment type discriminator
Available options:
EMPLOYEE, CONTRACTOR Given name
Family name
Work email address
Country of employment
Job title
Agreement type
Citizenship country code
Start date
Department name
EOR employment service type
Job description
Base salary amount
Base salary currency code
End date
Whether visa support is needed
Whether a token grant was requested
Sign-on bonus amount
Sign-on bonus currency code
Contractor classification
Contractor rate type
Contractor rate amount
Contractor rate currency code
⌘I
